Debian Bug report logs - #650990
smpeg: multiarch support for libsmpeg*

version graph

Package: smpeg; Maintainer for smpeg is Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>;

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Sun, 4 Dec 2011 22:09:02 UTC

Severity: wishlist

Found in version 0.4.5+cvs20030824-3

Fixed in version smpeg/0.4.5+cvs20030824-4

Done: Felix Geyer <debfx-pkg@fobos.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>:
Bug#650990; Package smpeg. (Sun, 04 Dec 2011 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>. (Sun, 04 Dec 2011 22:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: smpeg: multiarch support for libsmpeg*
Date: Sun, 4 Dec 2011 14:07:02 -0800
Package: smpeg
Version: 0.4.5+cvs20030824-3
Severity: wishlist

please consider applying the following patch, which adds multiarch support for 
libsmpeg0 and libsmpeg-dev.

thanks!

live well,
  vagrant


diff -Nru smpeg-0.4.5+cvs20030824/debian/control smpeg-0.4.5+cvs20030824/debian/control
--- smpeg-0.4.5+cvs20030824/debian/control	2011-12-02 05:01:32.000000000 -0800
+++ smpeg-0.4.5+cvs20030824/debian/control	2011-12-04 13:52:49.000000000 -0800
@@ -3,7 +3,7 @@
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 5),
+Build-Depends: debhelper (>= 8.1.3~),
                libsdl1.2-dev (>= 1.2.2-3.1),
                libgtk2.0-dev,
                libglib2.0-dev
@@ -16,6 +16,7 @@
 Package: libsmpeg0
 Architecture: any
 Section: libs
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: smpeg,
diff -Nru smpeg-0.4.5+cvs20030824/debian/libsmpeg0.files smpeg-0.4.5+cvs20030824/debian/libsmpeg0.files
--- smpeg-0.4.5+cvs20030824/debian/libsmpeg0.files	2011-12-02 05:01:32.000000000 -0800
+++ smpeg-0.4.5+cvs20030824/debian/libsmpeg0.files	2011-12-04 13:38:39.000000000 -0800
@@ -1,2 +1,2 @@
-usr/lib/libsmpeg-0.4.so.0.1.4
-usr/lib/libsmpeg-0.4.so.0
+usr/lib/*/libsmpeg-0.4.so.0.1.4
+usr/lib/*/libsmpeg-0.4.so.0
diff -Nru smpeg-0.4.5+cvs20030824/debian/libsmpeg-dev.files smpeg-0.4.5+cvs20030824/debian/libsmpeg-dev.files
--- smpeg-0.4.5+cvs20030824/debian/libsmpeg-dev.files	2011-12-02 05:01:32.000000000 -0800
+++ smpeg-0.4.5+cvs20030824/debian/libsmpeg-dev.files	2011-12-04 13:38:50.000000000 -0800
@@ -1,5 +1,5 @@
 usr/bin/smpeg-config
 usr/include
-usr/lib/libsmpeg.a
-usr/lib/libsmpeg.so
+usr/lib/*/libsmpeg.a
+usr/lib/*/libsmpeg.so
 usr/share/aclocal/smpeg.m4
diff -Nru smpeg-0.4.5+cvs20030824/debian/rules smpeg-0.4.5+cvs20030824/debian/rules
--- smpeg-0.4.5+cvs20030824/debian/rules	2011-12-02 05:01:32.000000000 -0800
+++ smpeg-0.4.5+cvs20030824/debian/rules	2011-12-04 13:35:49.000000000 -0800
@@ -6,6 +6,7 @@
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Handle DEB_BUILD_OPTIONS
 CFLAGS = -Wall -g
@@ -34,6 +35,7 @@
 	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" CXX=$(CXX) ./configure \
 	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 	  --prefix=/usr \
+	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	  --enable-mmx=no \
 	  --enable-opengl-player=no
 
@@ -87,7 +89,7 @@
 	dh_fixperms
 #	dh_makeshlibs -V
 	dh_installdeb
-	dh_shlibdeps -ldebian/libsmpeg0/usr/lib
+	dh_shlibdeps -ldebian/libsmpeg0/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb




Added tag(s) pending. Request was from Felix Geyer <debfx-pkg@fobos.de> to control@bugs.debian.org. (Tue, 06 Dec 2011 16:48:10 GMT) Full text and rfc822 format available.

Reply sent to Felix Geyer <debfx-pkg@fobos.de>:
You have taken responsibility. (Sun, 08 Jan 2012 09:51:03 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Sun, 08 Jan 2012 09:51:09 GMT) Full text and rfc822 format available.

Message #12 received at 650990-close@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: 650990-close@bugs.debian.org
Subject: Bug#650990: fixed in smpeg 0.4.5+cvs20030824-4
Date: Sun, 08 Jan 2012 09:47:33 +0000
Source: smpeg
Source-Version: 0.4.5+cvs20030824-4

We believe that the bug you reported is fixed in the latest version of
smpeg, which is due to be installed in the Debian FTP archive:

libsmpeg-dev_0.4.5+cvs20030824-4_amd64.deb
  to main/s/smpeg/libsmpeg-dev_0.4.5+cvs20030824-4_amd64.deb
libsmpeg0_0.4.5+cvs20030824-4_amd64.deb
  to main/s/smpeg/libsmpeg0_0.4.5+cvs20030824-4_amd64.deb
smpeg-gtv_0.4.5+cvs20030824-4_amd64.deb
  to main/s/smpeg/smpeg-gtv_0.4.5+cvs20030824-4_amd64.deb
smpeg-plaympeg_0.4.5+cvs20030824-4_amd64.deb
  to main/s/smpeg/smpeg-plaympeg_0.4.5+cvs20030824-4_amd64.deb
smpeg_0.4.5+cvs20030824-4.debian.tar.gz
  to main/s/smpeg/smpeg_0.4.5+cvs20030824-4.debian.tar.gz
smpeg_0.4.5+cvs20030824-4.dsc
  to main/s/smpeg/smpeg_0.4.5+cvs20030824-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650990@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Geyer <debfx-pkg@fobos.de> (supplier of updated smpeg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Jan 2012 10:39:20 +0100
Source: smpeg
Binary: libsmpeg0 libsmpeg-dev smpeg-plaympeg smpeg-gtv
Architecture: source amd64
Version: 0.4.5+cvs20030824-4
Distribution: unstable
Urgency: low
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Changed-By: Felix Geyer <debfx-pkg@fobos.de>
Description: 
 libsmpeg-dev - SDL MPEG Player Library - development files
 libsmpeg0  - SDL MPEG Player Library - shared libraries
 smpeg-gtv  - SMPEG GTK+ MPEG audio/video player
 smpeg-plaympeg - SMPEG command line MPEG audio/video player
Closes: 650990
Changes: 
 smpeg (0.4.5+cvs20030824-4) unstable; urgency=low
 .
   [ Felix Geyer ]
   * Team upload.
   * Change section of smpeg-plaympeg and smpeg-gtv to video.
   * Simplify debian/rules by using dh(1).
   * Switch to debhelper compat level v9.
     - Exports hardening build flags.
     - Add 330_format_security.diff.
     - Build for multiarch. (Closes: #650990)
   * Append -Wl,--as-needed to LDFLAGS.
   * Pass --fail-missing to dh_install.
 .
   [ Dominique Dumont ]
   * source/lintian-override: added debhelper exception.
   * debian/copyright: converted to DEP-5.
Checksums-Sha1: 
 fa3a58cd9818587acc214f901c8ca2ec5792084d 2235 smpeg_0.4.5+cvs20030824-4.dsc
 9de7b50cda72ee3ae58555f4723c8ad58cc2a002 466004 smpeg_0.4.5+cvs20030824-4.debian.tar.gz
 2fc6d63be0d74585cb6746afaeddc0dc997cffba 106492 libsmpeg0_0.4.5+cvs20030824-4_amd64.deb
 1e6812b6d92b9a55061ea7f0d8f7785c9dc76ceb 132226 libsmpeg-dev_0.4.5+cvs20030824-4_amd64.deb
 6b8ec1d09af460ac9a8f10ae4fb6a2a9e0c977f7 26674 smpeg-plaympeg_0.4.5+cvs20030824-4_amd64.deb
 71a08017e00b1aae20616f4f9d91b73c8bd91458 31054 smpeg-gtv_0.4.5+cvs20030824-4_amd64.deb
Checksums-Sha256: 
 df91d80407e644bb60df79591cad9fd3d284aa4f1abc58729211e615a15e7b6f 2235 smpeg_0.4.5+cvs20030824-4.dsc
 8705d82b0432f064649340432f6c7be3eed8600431d161ccc05050aecb811805 466004 smpeg_0.4.5+cvs20030824-4.debian.tar.gz
 0a31359446dad2dfbb440204c876c0610f7f78b98c67850075a09c58d8ce0084 106492 libsmpeg0_0.4.5+cvs20030824-4_amd64.deb
 95f5b80fadf975d8d7ccb37c4976e38c0b8f4ed120aa07b5024bcfa91477e873 132226 libsmpeg-dev_0.4.5+cvs20030824-4_amd64.deb
 e3f541ae0ea020fbcf8ef633a3c65b0b5d6e609263359e483bd499a43f36314d 26674 smpeg-plaympeg_0.4.5+cvs20030824-4_amd64.deb
 64f6950e8cbae1282bec5348f2c308ec5cf9bc134ea954d8e73ee0c14e78c15c 31054 smpeg-gtv_0.4.5+cvs20030824-4_amd64.deb
Files: 
 1b878e4169883cef4a6f39fbb35e5dc9 2235 libs optional smpeg_0.4.5+cvs20030824-4.dsc
 35bc8df8a8fab3754e978a452435cbed 466004 libs optional smpeg_0.4.5+cvs20030824-4.debian.tar.gz
 04a628046703f81694f1963bd92e3dc1 106492 libs optional libsmpeg0_0.4.5+cvs20030824-4_amd64.deb
 bcd8d25fe089ddff9ef6e37d57e6ff7d 132226 libdevel optional libsmpeg-dev_0.4.5+cvs20030824-4_amd64.deb
 37004d4ada880912804e04b3273dda83 26674 video optional smpeg-plaympeg_0.4.5+cvs20030824-4_amd64.deb
 fcc5373c0f36d2ebadcdfb2159db93e4 31054 video optional smpeg-gtv_0.4.5+cvs20030824-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPCWTAAAoJEMMfT9lJqytsGn8QAJvq4JLB7VrlhdQrzamqvV/C
+3qExQrsSV3VnpkluxifYe7Ex5JGCF4QGoYPxaHSSnom0zywzE/quhMJuHIQd2+6
E7brccSgeUJVudqCml7fmPrPp11T8g5Dl8PtXLp91TQH4roVI/7N68U4pcbjDVLY
x1rZ5q5+/sIsMuNaOCklGSmOfN5XhEFIZ2A7bU1JloJqxBr+AdzQxww+n4hlXrzY
4ss5WViq9PCKCkJPTRgx8bXzyFFd5dGX1Q1yCoUl40G/SX3D9xbH2z0PYw4gSYym
w1vrqJJTleKcd/LzPEUc080pIjItDOCM2H01qxtCULllFIyFW588i6HZjrlz9x/D
SYQSOHvz/JZuQlOZ5EcTem+JSjiNMewLIYqP8LQ+s7Tesm2+/m3QjmxiUhyeHXeb
BTIvlS4/7JBfvy6VT5AN3bgqIdmtLyW6FF09VHo/ucsTlCYP+juFwpAd4cj0Zwqc
9l4IrsvAlxUmz3JVMXbIy+TED2OSd1rkSsd6A+RusrS174i1QDbtycce2iYeY12s
DTQMI4/WS5vpZ0qKm+6rME2TtDS4UYbwcwa9etHOaoKH3lo7XKiChRBqzlyx0+x1
4/gUoslgc0DF9WaecpbhvrQf92B+BnfXvD2bd0xagDO8YuxxFmSvl3twWUFr+hAT
nBUOaFo8zqlXqSiOEjWz
=FloT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Feb 2012 07:41:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:38:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.